Projet

Général

Profil

Task - Tâche #1909

Solution pour impression hyper lente des PDF

Ajouté par Eric Seigne il y a presque 11 ans. Mis à jour il y a presque 9 ans.

Statut:
Fixed - Corrigé - Implémenté
Priorité:
Paquets
Assigné à:
Version cible:
Début:
04/02/2012
Echéance:
% réalisé:

100%


Description

Il semblerait qu'un backport de Cairo et Poppler corrige le bug d'impression lente, cf

Donc je me note ça à faire ...

Autres pistes:

Historique

#1 Mis à jour par Eric Seigne il y a presque 11 ans

En bref le commentaire 24 du bug en question c'est du grand n'importe quoi ! cairo et poppler de natty ne compilent pas du tout sur lucid: il y a trop de dépendances impossible à satisfaire !

Les boules :(

#2 Mis à jour par Eric Seigne il y a presque 11 ans

Bon, ça compile, il fallait backporter pixman 0.20 et ensuite forcer les build-depends, ça compile, reste à tester/valider que le bug est corrigé ...

#3 Mis à jour par Eric Seigne il y a presque 11 ans

je rebuilde les paquets en mettant bien lucid comme distrib :) histoire de pouvoir les pousser sur le serveur de tests !

#4 Mis à jour par Eric Seigne il y a presque 11 ans

  • % réalisé changé de 0 à 60

Bon,
je n'ai pas osé les pousser sur le serveur de tests, donc à tester manuellement (clé usb avec les paquets).

Pour faire tester aussi les autres gens touchés je tente de monter un PPA public ...

https://launchpad.net/~eric-seigne/+archive/lucid-poppler-cairo/+packages

En ce moment même j'ai un document en cours d'impression qui plantait sur le poste d'Hayat (plaquette commerciale) ... ça fait 2 minutes que j'ai appuyé sur le bouton imprimer de evince ... toujours rien, à mon avis ça ne marche pas :'(

#5 Mis à jour par Eric Seigne il y a presque 11 ans

En ligne de commande 1 min pour imprimer ... je redémarre ma session, ptet que la lib poppler et cairo qui sont en mémoire sont de l'ancienne version ...

#6 Mis à jour par Eric Seigne il y a presque 11 ans

Raté, tout ça n'a servi à rien :(

Je pense qu'on a un pb sur les liens et les libs, par exemple le nouveau poppler apporte libpoppler13 mais ne remplace pas libpoppler5 et ... je pense que c'est là que ça coince, les appli doivent faire appel à la libpoppler5 et pas la 13 :(

#7 Mis à jour par Eric Seigne il y a presque 11 ans

En plus de evince, voici la liste des paquets concernés par le lien sur la libpoppler5 sur le serveur de build (dev-lucid64):

  • dblatex
  • docbook-utils
  • jadetex
  • latex-beamer latex-xcolor
  • luatex
  • pgf
  • prosper
  • texlive texlive-base texlive-bibtex-extra texlive-binaries texlive-extra-utils texlive-font-utils texlive-fonts-recommended texlive-generic-recommended texlive-latex-base texlive-latex-extra texlive-latex-recommended texlive-luatex texlive-math-extra texlive-pictures texlive-pstricks
  • tipa

En ce moment je recompile evince 2.30 pour voir si ça s'améliore, si c'est le cas on prendra une décision ...

#8 Mis à jour par Eric Seigne il y a presque 11 ans

Evince 2.30 est dispo sur le serveur dev-lucid64, à tester demain pour voir.

#9 Mis à jour par Eric Seigne il y a presque 11 ans

  • Description mis à jour (diff)

Autres pistes trouvées sur launchpad ... mais ça ne me fera pas gagner du temps pour ce soir :-(

#10 Mis à jour par Eric Seigne il y a presque 9 ans

  • Statut changé de Assigned - En cours à Fixed - Corrigé - Implémenté
  • % réalisé changé de 60 à 100

Pour info, entre epdfview et acroread on a une solution qui fait que ça imprime correctement ... même si l'utilisation d'acroread (non free) n'est pas super plaisante, au moins ça marche.

Formats disponibles : Atom PDF

Redmine Appliance - Powered by TurnKey Linux